> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Resolution

> Get the status and final answer of a resolution created by this caller.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/resolutions/{resolution_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/resolutions/{resolution_id}:
    get:
      tags:
        - Resolutions
      summary: Retrieve Resolution
      description: Get the status and final answer of a resolution created by this caller.
      operationId: get_resolution
      parameters:
        - in: path
          name: resolution_id
          schema:
            format: uuid
            title: Resolution Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolutionOut'
            text/markdown:
              schema:
                type: string
            text/plain:
              schema:
                type: string
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolutionOut'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolutionOut'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolutionOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ResolutionOut:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        status:
          enum:
            - queued
            - running
            - completed
            - requires_action
            - canceled
            - failed
          title: Status
          type: string
        conversation_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Conversation Id
        message_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Message Id
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        sources:
          items:
            $ref: '#/components/schemas/MessageSourceOut'
          title: Sources
          type: array
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        status_url:
          title: Status Url
          type: string
      required:
        - id
        - status
        - status_url
      title: ResolutionOut
      type: object
    MessageSourceOut:
      properties:
        object:
          default: message_source
          title: Object
          type: string
        document_id:
          title: Document Id
          type: string
        page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        position:
          title: Position
          type: integer
      required:
        - document_id
        - position
      title: MessageSourceOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````